IOCTL-XFS-HEALTH-FD-ON-MONITORED-FS(2)

NAME
ioctl_xfs_health_fd_on_monitored_fs - check if the given fd belongs to the same fs being monitored

SYNOPSIS
#include <xfs/xfs_fs.h>

int ioctl(int healthmon_fd, XFS_IOC_HEALTH_FD_ON_MONITORED_FS, struct xfs_health_file_on_monitored_fs *arg);

DESCRIPTION
This XFS healthmon fd ioctl asks the kernel driver if the file descriptor passed in via arg points to a file on the same filesystem that is being monitored by healthmon_fd. The file descriptor is conveyed in a structure of the following form:

struct xfs_health_file_on_monitored_fs {
	__s32 fd;
	__u32 flags;
};

The field flags must be zero.

The field fd is a descriptor of an open file.

The argument healthmon_fd must be a file opened via the XFS_IOC_HEALTH_MONITOR ioctl.

RETURN VALUE
On error, -1 is returned, and errno is set to indicate the error. If the file descriptor points to a file on the same filesystem that is being monitored, 0 is returned.

ERRORS
Error codes can be one of, but are not limited to, the following:

ESTALE
    The open file is not on the same filesystem that is being monitored.

EINVAL
    One or more of the arguments specified is invalid.

EBADF
    arg.fd does not refer to an open file.

EFAULT
    The arg structure could not be copied into the kernel.

ENOTTY
    healthmon_fd is not a XFS health monitoring file.

CONFORMING TO
This API is specific to XFS filesystem on the Linux kernel.

SEE ALSO
ioctl_xfs_health_monitor(2)